Redmine - Defect #33588

Error 500 after migrating and restoring a v4.0.5 db in v4.1.1
2020-06-12 01:42 - A Fora
Target version:

Resolution: Invalid Affected version: 411
Description

| have just installed a fresh v4.1.1 on a new system and tried restoring a mysql database backed up from a v.4.0.5 installation.
Unfortunately the restored database gets (almost, but not entirely) inaccessible after the restore. | can login, but only can see very
limited sections of it.

| also tried restoring exactly the same db on a new clean v4.0.5 installation with no issues. | spent 2 days on this, and sadly | cannot
find a solution.

Here's the steps to reproduce:
1. Installed a fresh v4.1.1 + restored (successfully) a mysql database created in v4.0.5:

gunzip —-c /home/xxx/backup/mysgl_2020-05-17.gz | sudo mysql —--defaults-file=/usr/as/mysqgl/.my.cnf
redmine_default

2. | can successfully login to redmine with the usual 127.0.0.1/redmine. After the login | do see the projects list and the issues list.
3. However, if | click on any project or issue, | get an Error 500 page

4. Inspecting “/usr/share/redmine-4.1.1/log" after clicking on a project shows:

Completed 500 Internal Server Error in 151lms (ActiveRecord: 86.4ms)

ActionView: :Template: :Error (undefined method “description' for #&lt;Tracker:0x00005613c65be020&gt
i)

65: <% @Qtrackers.each do |tracker| >
66: &lt;tré&gt;

67: &lt;td class="name"&gt;

68: <

= link_to tracker.name, project_issues_path (@project, :set_filter => 1, :tracker_id => tracker.id)
, :title => tracker.description >

69: &1t; /td&gt;
70: &1lt;tdé&gt;
71: <

= link_to @open_issues_by_tracker[tracker].to_i, project_issues_path (@project, :set_filter => 1,
tracker_id => tracker.id) %>

app/views/projects/show.html.erb:68:in "block in app_views_projects_show_html_erb
~3010486713022863027_70353520498380"

app/views/projects/show.html.erb:65:1in " _app_views_projects_show_html_erb_ 3010486713022863027
_70353520498380"

lib/redmine/sudo_mode.rb:65:in " sudo_mode'

I'm running:

- Linux Mint 19.3

- mysql Ver 14.14 Distrib 5.7.28, for Linux (x86_64) using EditLine wrapper
- ruby ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux-gnul]

-rails 5.2.4.2

- no plugins installed
#1 - 2020-06-12 02:49 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid

| think you have not run bin/rails db:migrate.

Please use forums for questions. Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to request help may
be helpful for you.

#2 - 2020-06-12 04:09 - Mischa The Evil
Go MAEDA wrote:

| think you have not run bin/rails db:migrate.

Indeed. Ref.: Restoring a db in v4.1.1 gives Error 500, while in v4.0.5....

a a Fora: please keep this in the forum-thread.
